Results 1 to 8 of 8

Thread: OpenSuse v. 11.4 and Ruby 1.9: how set up this properly

  1. #1

    Red face OpenSuse v. 11.4 and Ruby 1.9: how set up this properly

    hello dear community!

    i am currently looking for an place where i can get Ruby 1.9 to install on OpenSuse.11.4. And of course i try to get all tips and hints that are necessary to get all running well.

    In earlier times i used the following link to get ruby 1.9 up and running on OpenSuse 11.3 (!!)

    Index of /repositories/devel:/languages:/ruby:/1.9/openSUSE_11.3

    Well - it seems to be very tricky to get 1.9 installed.

    Several trials ended up with the ruby version 1.8-7

    What about OpenSuse 11.4 - has there been any significant changes - so that it is easier to get Ruby 1.9 up and running....

    Any ideas

    Look forward to hear from you

    db1

  2. #2
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: OpenSuse v. 11.4 and Ruby 1.9: how set up this properly

    On 03/11/2011 11:06 PM, dilbertone wrote:
    >
    > In earlier times i used the following link to get ruby 1.9 up and
    > running on OpenSuse 11.3 (!!)
    >
    > 'Index of /repositories/devel:/languages:/ruby:/1.9/openSUSE_11.3'
    > (http://tinyurl.com/4qguq4m)


    did you add and enable that repo in YaST Software Repositories? (or
    with zypper)

    please show us the output of entering the following into a terminal

    Code:
    zypper lr -d
    and copy/paste the output back to this thread using the instructions
    here: http://goo.gl/i3wnr

    --
    DenverD
    CAVEAT: http://is.gd/bpoMD
    [NNTP posted w/openSUSE 11.3, KDE4.5.5, Thunderbird3.1.8, nVidia
    173.14.28 3D, Athlon 64 3000+]
    "It is far easier to read, understand and follow the instructions than
    to undo the problems caused by not." DD 23 Jan 11

  3. #3

    Default Re: OpenSuse v. 11.4 and Ruby 1.9: how set up this properly

    Hi there,

    many thanks for the quick answer! i will do so. Currently i am not at home - but i will try out all your advices as soon as i am at home!

    greetings dilbertone

  4. #4

    Default Re: OpenSuse v. 11.4 and Ruby 1.9: how set up this properly

    hello DenverD

    Many thanks for the reply. SEE THE output:



    Passwort:
    suse-linux:~ # zypper lr -d
    # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    ---+-------------------------------------------------------------------+-------------------------------------------------------------------+---------+---------+----------+--------+---------------------------------------------------------------------------------------------+--------
    1 | Ruby-Repository | Ruby-Repository | Yes | Yes | 99 | rpm-md | Index of /repositories/devel:/languages:/ruby:/extensions/openSUSE_11.3 |
    2 | download.opensuse.org-STABLE | openSUSE BuildService - OpenOffice.org | Yes | Yes | 99 | rpm-md | Index of /repositories/OpenOffice.org:/STABLE/openSUSE_11.3 |
    3 | download.opensuse.org-database | openSUSE BuildService - Datenbank | Yes | Yes | 99 | rpm-md | Index of /repositories/server:/database/openSUSE_11.3 |
    4 | download.opensuse.org-filesystems | openSUSE BuildService - filesystems | Yes | Yes | 99 | rpm-md | Index of /repositories/filesystems/openSUSE_11.3 |
    5 | download.opensuse.org-mozilla | openSUSE BuildService - Mozilla | Yes | Yes | 99 | rpm-md | Index of /repositories/mozilla/openSUSE_11.3 |
    6 | download.opensuse.org-packages | openSUSE BuildService - Javaackages | Yes | Yes | 99 | rpm-md | Index of /repositories/Java:/packages/openSUSE_11.3 |
    7 | download.opensuse.org-php | openSUSE BuildService - PHP | Yes | Yes | 99 | rpm-md | Index of /repositories/server:/php/openSUSE_11.3 |
    8 | download.opensuse.org-python | openSUSE BuildService - devel:languagesython | Yes | Yes | 99 | rpm-md | Index of /repositories/devel:/languages:/python/openSUSE_11.3 |
    9 | download.videolan.org-SuSE | VideoLan Repository | Yes | Yes | 99 | rpm-md | Index of /pub/videolan/vlc/SuSE/11.3/ |
    10 | ftp.uni-erlangen.de-suse | Packman Repository | Yes | Yes | 99 | rpm-md | Index of /pub/mirrors/packman/suse/11.3/ |
    11 | Index of /distribution/11.3/repo/oss/suse | Index of /distribution/11.3/repo/oss/suse | Yes | Yes | 99 | rpm-md | Index of /distribution/11.3/repo/oss/suse |
    12 | Index of /suse/11.3 | Index of /suse/11.3 | Yes | Yes | 99 | rpm-md | Index of /suse/11.3 |
    13 | libreoffice | libreoffice | Yes | Yes | 99 | rpm-md | Index of /repositories/LibreOffice:/Stable/openSUSE_11.3 |
    14 | openSUSE-11.3 11.3-1.82 | openSUSE-11.3 11.3-1.82 | Yes | No | 99 | yast2 | cd:///?devices=/dev/sr0 |
    15 | openSUSE:11.3:NonFree | openSUSE:11.3:NonFree | Yes | Yes | 99 | yast2 | Index of /distribution/11.4/repo/non-oss |
    16 | openSUSE_11.3 | openSUSE_11.3 | Yes | Yes | 96 | rpm-md | Index of /repositories/editors/openSUSE_11.3 |
    17 | openSUSE_Factory | openSUSE_Factory | Yes | Yes | 99 | rpm-md | Index of /repositories/devel:/languages:/ruby/openSUSE_Factory |
    18 | perl | perl | Yes | Yes | 99 | rpm-md | Index of /repositories/devel:/languages:/perl/openSUSE_11.3 |
    19 | repo-debug | openSUSE-11.3-Debug | No | Yes | 98 | NONE | Index of /debug/distribution/11.3/repo/oss |
    20 | repo-non-oss | openSUSE-11.3-Non-Oss | Yes | Yes | 98 | yast2 | Index of /distribution/11.3/repo/non-oss |
    21 | repo-oss | openSUSE-11.3-Oss | Yes | Yes | 98 | yast2 | Index of /distribution/11.3/repo/oss |
    22 | repo-source | openSUSE-11.3-Source | No | Yes | 98 | NONE | Index of /source/distribution/11.3/repo/oss |
    23 | repo-update | openSUSE-11.3-Update | Yes | Yes | 97 | rpm-md | Index of /update/11.3 |
    24 | suse_11.3_Ruby_1.9 | suse 11.3 Ruby 1.9 | Yes | Yes | 97 | rpm-md | Index of /repositories/devel:/languages:/ruby:/1.9/openSUSE_11.3 |
    suse-linux:~ #


    Any significant issues here -

    to be frank: i did some installations with zypper and some via YAST ;-) i think i messed up all the system a bit! ;-)

    Can you advice something that fixes the installation - i am badly in need of Ruby Version 1.9

    Look forward to hear from you

    regards db1

  5. #5
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: OpenSuse v. 11.4 and Ruby 1.9: how set up this properly

    it IS a mess ok...

    in fact, i'm kinda amazed it even boots..

    first i think you need to read the paragraph here beginning with
    "IMPORTANT" http://tinyurl.com/33qc9vu and, that will kinda get you
    started (clean up your repo mess!)

    for sure you MUST disable factory! factory is *always* the NEXT
    release which means it is *always* changing....any instant there could
    be (WILL be) code in there which might (WILL eventually) kill your
    system..

    AND, please notice that you have NOT installed openSUSE 11.4!

    you may be running a LOT of 11.4 code, but i bet you are also running
    some 11.5 code, and maybe lots of 11.3 code because you have NO 11.4
    repo enabled, not one...

    you have ONLY 11.3 and factory....and some others (any of which may
    contain death..

    see the problem?

    to get from one version to the next the old pro's around here (most of
    them anyway) INSTALL the new version, or at the very least do an
    approved path upgrade (which will not result in some Frankenstein mix
    last and NEXT version repos)...what links to approved upgrade paths?
    just ask..

    i'd recommend you immediately make a backup copy of all your data,
    movies, music, artwork, letter to/from Aunt Tillie and etc...

    and then....and then....come back see if someone has a path they think
    is better than the one i'm gonna recommend:

    1. read the caveat in my sig, below

    2. with a secure, off machine copy of everything you wanna
    keep...which, you have CHECKED to make sure it is safe and can be
    copied back, later, to your new 11.4: format and install 11.4 from a
    known perfect install disk, then . . .

    then, read the tag line in my sig, below

    --
    DenverD
    CAVEAT: http://is.gd/bpoMD
    [NNTP posted w/openSUSE 11.3, KDE4.5.5, Thunderbird3.1.8, nVidia
    173.14.28 3D, Athlon 64 3000+]
    "It is far easier to read, understand and follow the instructions than
    to undo the problems caused by not." DD 23 Jan 11

  6. #6

    Default Re: OpenSuse v. 11.4 and Ruby 1.9: how set up this properly

    Hi DenverD

    many many thanks for all you did! Youre right! I did not run any 11.4
    all was build upon a 11.3 installation. And it was a TRUE MESS!

    A ugly bucket of garbage - and i am happy that i managed to install 11.4 on a second machine! Now the future is open. I hope that - after several months - RUBY and the integration of RUBY has made some steps (not to say MileStones)

    what do you say - what do you think!? I am eagerly waiting to try out a new installation on the new machine - that runs 11.4.


    By the way: Wahat do you think about this one: Someone suggested to try out this one: https://rvm.beginrescueend.com/

    Ruby Version Manager (RVM): RVM is a command line tool which allows us to easily install, manage and work with multiple ruby environments from interpreters to sets of gems.

    Well - i absolutly have no glue (/what) if this solves my issues?! My problem is: MY RUBY-Code needs Ruby - Version 1.9 ... What should i do!?

  7. #7
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: OpenSuse v. 11.4 and Ruby 1.9: how set up this properly

    On 07/06/2011 01:36 AM, dilbertone wrote:
    >
    > By the way: Wahat do you think about this one: Someone suggested to try
    > out this one: https://rvm.


    i only barely know what Ruby is....i'm not a hacker, i'm just a generic
    user..


    > Well - i absolutly have no glue (/what) if this solves my issues?! My
    > problem is: MY RUBY-Code needs Ruby - Version 1.9 ... What should i
    > do!?


    i'd suggest you find a place where Ruby users hang out....this is an
    openSUSE forum intended to help folks install, boot and log into
    openSUSE....it is not intended to be the place that folks either learn
    how to RUBY or what to use..

    you might try posting a new thread, with a descriptive subject line to
    the openSUSE repo named "Programming/Scripting" which is described as
    "Questions about programming, bash scripts, perl, php, cron jobs, ruby,
    python, etc." its here: http://tinyurl.com/5v695w4

    --
    DD
    -Caveat-Hardware-Software-

  8. #8
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: OpenSuse v. 11.4 and Ruby 1.9: how set up this properly

    dilbertone wrote:

    > 'Index of /repositories/devel:/languages:/ruby:/1.9/openSUSE_11.3'
    > (http://tinyurl.com/4qguq4m)
    >
    > Well - it seems to be very tricky to get 1.9 installed.
    >
    > Several trials ended up with the ruby version 1.8-7
    >
    > What about OpenSuse 11.4 - has there been any significant changes - so
    > that it is easier to get Ruby 1.9 up and running....
    >

    Of course because this repository contains package ruby 1.8-7, didn't you
    check that before you added it?
    You just need to install the package named ruby19 from that repository not
    the package ruby.
    The binaries will then all have 1.9 in their name, for example ruby1.9 (not
    just ruby).
    Or I misunderstood what you did and you need to provide more details how you
    tried to install it.

    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.4 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.6.4 | nVidia
    ION | 3GB Ram

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •